Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.interceptor
Class BeanFactoryTransactionAttributeSourceAdvisor

    java.lang.Object
      org.springframework.aop.support.AbstractPointcutAdvisor
          org.springframework.aop.support.AbstractBeanFactoryPointcutAdvisor
              org.springframework.transaction.interceptor.BeanFactoryTransactionAttributeSourceAdvisor

All Implemented Interfaces:
  Serializable, Advisor, PointcutAdvisor, BeanFactoryAware, Ordered

    public class BeanFactoryTransactionAttributeSourceAdvisor

extends AbstractBeanFactoryPointcutAdvisor

Advisor driven by a `TransactionAttributeSource`, used to include a transaction advice bean for methods that are transactional.

Since:
  2.5.5
Author:
  Juergen Hoeller
See Also:
  `AbstractBeanFactoryPointcutAdvisor.setAdviceBeanName(java.lang.String)`, `TransactionInterceptor`, `TransactionAttributeSourceAdvisor`, Serialized Form

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`BeanFactoryTransactionAttributeSourceAdvisor()`

Method Summary
`Pointcut` | `getPointcut()` Get the Pointcut that drives this advisor.
`void` | `setClassFilter(ClassFilter classFilter)` Set the `ClassFilter` to use for this pointcut.
`void` | `setTransactionAttributeSource(TransactionAttributeSource transactionAttributeSource)` Set the transaction attribute source which is used to find transaction attributes.

Methods inherited from class org.springframework.aop.support.AbstractBeanFactoryPointcutAdvisor
`getAdvice, getAdviceBeanName, setAdviceBeanName, setBeanFactory, toString`

Methods inherited from class org.springframework.aop.support.AbstractPointcutAdvisor
`equals, getOrder, hashCode, isPerInstance, setOrder`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanFactoryTransactionAttributeSourceAdvisor

    public BeanFactoryTransactionAttributeSourceAdvisor()

Method Detail

### setTransactionAttributeSource

    public void setTransactionAttributeSource(TransactionAttributeSource transactionAttributeSource)

  Set the transaction attribute source which is used to find transaction attributes. This should usually be identical to the source reference set on the transaction interceptor itself.

  See Also:
    `TransactionAspectSupport.setTransactionAttributeSource(org.springframework.transaction.interceptor.TransactionAttributeSource)`

### setClassFilter

    public void setClassFilter(ClassFilter classFilter)

  Set the `ClassFilter` to use for this pointcut. Default is `ClassFilter.TRUE`.

### getPointcut

    public Pointcut getPointcut()

  Description copied from interface: `PointcutAdvisor`
  Get the Pointcut that drives this advisor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.